import argparse, os, sys, glob, json
from datetime import datetime

def new_name(n):
	dt = datetime.strptime(n, 'nettime-l_%b_%y.json')
	return dt.strftime('%B_%Y') + '.json'

if __name__ == "__main__":

	files = [f for f in glob.glob("archives/nettime-l/*.json")]

	for f in files:
		newname = 'archives/nettime-l/' + new_name(os.path.basename(f))
		os.rename(f, newname)

